﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace GroupRowSelectionC
{
    public partial class Form1 : Form
    {
        bool start;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'nWINDDataSet.Products' table. You can move, or remove it, as needed.
            this.productsTableAdapter.Fill(this.nWINDDataSet.Products);

            start = true;

            this.c1TrueDBGrid1.DataView = C1.Win.C1TrueDBGrid.DataViewEnum.GroupBy;

            this.c1TrueDBGrid1.GroupedColumns.Add(this.c1TrueDBGrid1.Columns["ReorderLevel"]);
            for (int i = 0; i < this.c1TrueDBGrid1.Columns.Count; i++)
            {
                this.c1TrueDBGrid1.Splits[0].DisplayColumns[i].FetchStyle = true;
            }

            int row = -1;
            this.c1TrueDBGrid1.MouseDown += (s1, e1) =>
            {
                var grid = s1 as C1.Win.C1TrueDBGrid.C1TrueDBGrid;
                row = grid.RowContaining(e1.Y);
                c1TrueDBGrid1.Refresh();
            };


            this.c1TrueDBGrid1.FetchGroupCellStyle += (s1, e1) =>
            {
                var grid = s1 as C1.Win.C1TrueDBGrid.C1TrueDBGrid;
                if (e1.Row == 0 & start)
                {
                    e1.CellStyle.BackColor = Color.Transparent;
                    e1.CellStyle.ForeColor = Color.Black;
                    start = false;
                }
                else
                {
                    if (e1.Row == row)
                    {
                        if (grid.Splits[0].Rows[e1.Row].RowType == C1.Win.C1TrueDBGrid.RowTypeEnum.ExpandedGroupRow | grid.Splits[0].Rows[e1.Row].RowType == C1.Win.C1TrueDBGrid.RowTypeEnum.CollapsedGroupRow)
                        {
                            e1.CellStyle.BackColor = Color.Blue;
                            e1.CellStyle.ForeColor = Color.White;
                        }
                    }
                    else
                    {
                        e1.CellStyle.BackColor = Color.Transparent;
                        e1.CellStyle.ForeColor = Color.Black;

                    }
                }


            };

        }
    }
}
